APIs / Habitaclia / Search
Habitaclia: Search
Search from Habitaclia as JSON. 1 credit per successful call.
GET /v1/habitaclia/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
transaction_type | string | Required | buy, rent |
property_type | string | Required | flat, house, office, garage, building, land |
code | string | Required | Up to 32 characters |
layer_id | integer | Required | Any |
page | integer | Optional | Any |
page_size | integer | Optional | Any |
sort_by | string | Optional | relevance, price_asc, price_desc, newest |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
min_rooms | integer | Optional | Any |
min_bathrooms | integer | Optional | Any |
features[] | list of string | Optional | pool, terrace, elevator, furnished, unfurnished, private_parking, private_garden, nearby_public_transport |
is_private | boolean | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/habitaclia/search?transaction_type=buy&property_type=flat&code=46250&layer_id=20&page=1&page_size=5&sort_by=price_asc" \
-H "X-API-Key: $API_KEY"